Holger's Java API

## com.antelmann.sql
Class ResultSetMetaDataTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          com.antelmann.sql.ResultSetMetaDataTableModel

All Implemented Interfaces:
  Serializable, TableModel

    public class ResultSetMetaDataTableModel

extends AbstractTableModel

ResultSetMetaDataTableModel provides a simple way to display the meta data of a ResultSet.

Since:
  10/24/2002
Author:
  Holger Antelmann
See Also:
  `JTable`, `ConnectionHelper`, Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`ResultSetMetaDataTableModel(ResultSetMetaData metaData)`

Method Summary
`Class<?>` `getColumnClass(int column)`
`int` `getColumnCount()`
`String` `getColumnName(int column)`
`ResultSetMetaData` `getResultSetMetaData()`
`int` `getRowCount()`
`Object` `getValueAt(int row, int column)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultSetMetaDataTableModel

    public ResultSetMetaDataTableModel(ResultSetMetaData metaData)
                                throws SQLException

Throws:
  `SQLException`

Method Detail

### getResultSetMetaData

    public ResultSetMetaData getResultSetMetaData()

### getRowCount

    public int getRowCount()

### getColumnCount

    public int getColumnCount()

### getValueAt

    public Object getValueAt(int row,
                             int column)

### getColumnName

    public String getColumnName(int column)

  Specified by:
    `getColumnName` in interface `TableModel`
  Overrides:
    `getColumnName` in class `AbstractTableModel`

### getColumnClass

    public Class<?> getColumnClass(int column)

  Specified by:
    `getColumnClass` in interface `TableModel`
  Overrides:
    `getColumnClass` in class `AbstractTableModel`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads